/* == HERO == */

/* Dans hero.css */
.gradient.wallpaper,
.pattern.wallpaper,
.stats-up,
.stream-stats,
.view-stats,
.stats-wave,
.front,
.flashes {
    will-change: opacity; /* Préparer le navigateur pour l'animation */
}

header {
    width: 100dvw;
    height: 112.5dvh;
    position: relative;
    overflow: hidden;
}

header h1 {
    margin: 0;
    text-align: center;
    color: var(--Black);
}

.title-wrapper {
    max-width: 832px;
    width: 58.3333333%;
    top: 96px;
    left: 50%;
    transform: translateX(-50%);
    position: fixed;
    z-index: -4;
}

.wallpaper {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    pointer-events: none;
}

.pattern.wallpaper {
    background: url('../assets/media/hero/Star Pattern.svg') repeat;
    background-size: 16px;
    opacity: 0.1;
    mix-blend-mode: soft-light;
}

.hero .gradient.wallpaper {
    background: linear-gradient(180deg, var(--Cyan, #0EF) 0%, var(--Pink, #FF5CF1) 100%);
    z-index: -6;
}

.hero .pattern.wallpaper {
    z-index: -5;
}

a.scroll-down {
    color: var(--Black);
    text-decoration: none;
    display: flex;
    flex-direction: column;
    gap: 8px;
    justify-content: center;
    text-align: center;
    position: absolute;
    bottom: 128px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1;
    opacity: .8;
    transition: all ease-in-out .3s;
    font-size: 0.875rem;
}

a.scroll-down:hover {
    opacity: 1;
}

a.scroll-down p {
    color: inherit;
}

a.scroll-down .icon {
    width: 24px;
    height: auto;
    margin-left: auto;
    margin-right: auto;
    stroke: var(--Black);
    stroke-width: 2px;
}

.hero .stats-up {
    position: absolute;
    bottom: 0;
    top: 50%;
    transform: translateY(-50%);
    z-index: -4;
}

.hero .stream-stats {
    position: absolute;
    top: 480px;
    right: 153px;
    animation-delay: 3s;
    z-index: -4;
}

.hero .view-stats {
    position: absolute;
    top: 240px;
    left: 115px;
    animation-delay: 1s;
    z-index: -4;
}

.hero .stats-wave {
    width: 100%;
    position: absolute;
    z-index: -3;
    object-fit: contain;
    bottom: 0;
}

.hero .front {
    position: absolute;
    z-index: -2;
    bottom: 32px;
    left: 50%;
    transform: translateX(-50%);
    padding: 0px 2rem;
    box-sizing: border-box;
    max-width: 95vw;
    -webkit-mask-image: linear-gradient(black 75%, transparent);
    mask-image: linear-gradient(black 75%, transparent);
}

.hero .flashes {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: -2;
    object-fit: cover;
    top: 0;
    animation: Flashing 2s ease-in-out infinite alternate;
}

.hero {
    position: relative;
    overflow: hidden;
    height: 100%;
    pointer-events: none;
    /* -webkit-mask-image: linear-gradient(black 97.5%, transparent); */
    /* mask-image: linear-gradient(black 97.5%, transparent); */
}

/* == FOND PISTES AUDIO == */

.trackhead {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    column-gap: var(--Grid-Gutter);
    row-gap: 80px;
    padding-top: 88px;
    border: 1px solid var(--White-25);
    border-radius: 40px 40px 0 0;
    background: var(--Black-5);
    box-sizing: border-box;
    position: relative;
    width: 100%;
    transform: translateZ(0);
    margin-bottom: var(--Spacing-L);
}

.trackhead .icons {
    grid-column: 2 / 12;
    display: flex;
    justify-content: space-between;
    align-items: top;
}

.trackhead .logo {
    height: 40px;
}

.trackhead .track-heads {
    grid-column: 2 / 12;
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    column-gap: var(--Grid-Gutter);
}

.trackhead .track-heads svg {
    grid-column: span 1;
}

.track-bg {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: -1;
    overflow: hidden;
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    column-gap: var(--Grid-Gutter);
    top: 0%;
    pointer-events: none;
    transform: translateZ(0);
    border-radius: 40px 40px 0 0;
}

.track-channel {
    border-right: 2px solid var(--Black-5, rgba(255, 255, 255, 0.05));
    border-left: 2px solid var(--Black-5, rgba(255, 255, 255, 0.05));
    grid-column: span 2;
    height: 100%;
    width: 100%;
    box-sizing: border-box;
    mix-blend-mode: multiply;
}

.track-channel:nth-child(1) {
    grid-column: 2 / 4;
}

main .pattern.wallpaper {
    position: fixed;
    width: 100svw;
    height: 100svh;
    -webkit-mask-image: linear-gradient(194deg, rgba(0, 0, 0, 0.00) 23.05%, #000 50%, rgba(0, 0, 0, 0.00) 76.95%);
    mask-image: linear-gradient(194deg, rgba(0, 0, 0, 0.00) 23.05%, #000 50%, rgba(0, 0, 0, 0.00) 76.95%);
    background-size: 16px;
    opacity: 0.25;
    z-index: -7;
}

main .gradient.wallpaper {
    background: linear-gradient(180deg, var(--Cyan) 0%, var(--Light-Cyan) 5%, #009BAC 15%, var(--Dark-Cyan) 50%, var(--Dark-Cyan) 65%, var(--Light-Pink) 100%);
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: -8;
}

main .blur-panel {
    position: absolute;
    top: 0;
    background: var(--Black-12);
    z-index: -6;
    -webkit-backdrop-filter: blur(16px);
    backdrop-filter: blur(16px);
    max-width: 1376px;
    width: 100%;
    height: 100%;
    border-radius: 40px 40px 0 0;
}
